PHP ��U
前一頁 |  | 下一頁

# DOMElement->__construct()

(no version information, might be only in CVS)

DOMElement->__construct() -- Creates a new DOMElement object

## Description

class DOMElement {
__construct ( string name [, string value [, string namespaceURI]] )
}

Creates a new DOMElement object. This object is read only. It may be appended to a document, but additional nodes may not be appended to this node until the node is associated with a document. To create a writeable node, use DOMDocument->createElement() or DOMDocument->createElementNS().

## Parameters

name

  The tag name of the element. When also passing in namespaceURI, the element name may take a prefix to be associated with the URI.

value

  The value of the element.

namespaceURI

  A namespace URI to create the element within a specific namespace.

## �d��

範例 1. Creating a new DOMElement

`<?php $dom = new DOMDocument('1.0', 'iso-8859-1'); $element = $dom->appendChild(new DOMElement('root')); $element_ns = new DOMElement('pr:node1', 'thisvalue', 'http://xyz'); $element->appendChild($element_ns); echo $dom->saveXML(); /* <?xml version="1.0" encoding="iso-8859-1"?> <root><pr:node1 xmlns:pr="http://xyz">thisvalue</pr:node1></root> */ ?>`

## �Ѧ�

DOMDocument->createElement()
DOMDocument->createElementNS()

前一頁 | 內容 | 下一頁
DOMDocumentFragment->appendXML() | 上一層 | DOMElement->getAttribute()